stages:
  - deploy

deploy_to_server:
  stage: deploy
  # Chế độ shell chạy trực tiếp trên host
  script:
    - echo "🚀 Bắt đầu quá trình Deploy Sạch..."
    - export DOCKER_BUILDKIT=1
    - "if [ -f /home/anhvh/canifa_soure/chatbot-canifa/backend/.env ]; then cp /home/anhvh/canifa_soure/chatbot-canifa/backend/.env backend/.env; fi"
    - cd backend
    - docker stop canifa_backend || true
    - docker rm -f canifa_backend || true
    - docker compose -p canifa-chatbot down --remove-orphans || true
    - docker compose -p canifa-chatbot up --build -d
    - docker system prune -f
    - echo "✅ Web ĐÃ CẬP NHẬT THÀNH CÔNG!"
  only:
    - master
